[Solved] OH2.5.12 Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)

I am fiddling around with a clean docker based OH installation of 2.5.12 and empty userdata/ and conf/ directories. The first installation phase (Skel, user, etc) works fine, but after jetty starts and I select any setup, it has issues getting the basic bindings.

Launching the openHAB runtime...



org.apache.karaf.features.internal.util.MultiException: Error:
	Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)
	at org.apache.karaf.features.internal.download.impl.MavenDownloadManager$MavenDownloader.<init>(MavenDownloadManager.java:91)
	at org.apache.karaf.features.internal.download.impl.MavenDownloadManager.createDownloader(MavenDownloadManager.java:72)
	at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:457)
	at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:452)
	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:224)
	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:393)
	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1062)
	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:998)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
	Suppressed: java.io.IOException: Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)
		at org.apache.karaf.features.internal.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:77)
		at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
		at java.util.concurrent.FutureTask.run(FutureTask.java:266)
		at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
		at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
		... 3 more
	Caused by: java.io.IOException: Error resolving artifact org.openhab.ui.bundles:org.openhab.ui.paper:jar:[2.5.0,2.6): [Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in local (/openhab/userdata/tmp/mvn), Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in openhab (https://openhab.jfrog.io/openhab/libs-release/)]

The installation process stops there, the browser tells me "Please stand by while UIs are being installed. This can take several minutes. " No progress for a long time.

openhab.log tells me again and again:

[ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-ruleengine, openhab-ui-habpanel, openhab-ui-paper': Error:
	Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)

I tried alpine and debian images, version 2.5.11 and 2.5.12, not change. As said, no userdata, no config, all vanilla install. Could this be an upstream issue?

I wonder …

1 Like

Issue has been resolved - it was caused by the planned outage of bintray.com - grrr.

Looks like the issue is back again???

addons.cfg all commented out except basic ui. data directory removed before restart.

# The base installation package of this openHAB instance (default is "standard")
# Valid options:
#   - minimal  : Installation only with dashboard, but no UIs or other addons
#   - standard : Typical installation with all standards UIs
#   - demo     : A demo setup which includes UIs, a few bindings, config files etc.
#
package = minimal

# Access Remote Add-on Repositories
# Defines whether the remote openHAB add-on repository should be used for browsing and installing add-ons.
# This not only makes latest snapshots of add-ons available, it is also required for the installation of
# any legacy 1.x add-on and all experimental features. (default is false for offline distro, true for online distro)
#
remote = true

# Include legacy 1.x bindings. If set to true, it also allows the installation of 1.x bindings for which there is
# already a 2.x version available (requires remote repo access, see above). (default is false)
#
legacy = true

# Include experimental add-ons. If set to true, it also allows the installation of extensions that are not (yet) part
# of the official distribution and need further testing (requires remote repo access, see above). (default is false)
#
experimental = true


# A comma-separated list of bindings to install (e.g. "sonos,knx,zwave")
#binding = caldav-command1,caldav-personal1,mqtt1,nest1,networkhealth1,ntp,squeezebox,weather1,chromecast,mqttitude1,plex1,panasonictv1,denon1,exec,expire1,amazonechocontrol,http1,unifi,networkupstools1

#yahooweather

# A comma-separated list of UIs to install (e.g. "basic,paper")
ui = basic 
#,classic,habpanel,habmin,paper,habot


# A comma-separated list of persistence services to install (e.g. "rrd4j,jpa")
#persistence = influxdb

# A comma-separated list of actions to install (e.g. "mail,pushover")
#action = mail,xmpp

# A comma-separated list of transformation services to install (e.g. "map,jsonpath")
#transformation = map,scale,jsonpath,javascript

# A comma-separated list of voice services to install (e.g. "marytts,freetts")
#voice = marytts

# A comma-separated list of miscellaneous services to install (e.g. "myopenhab")
#misc = 
Adding user openhab to group gpio
Done.
+ initialize_volume /openhab/conf /openhab/dist/conf
+ volume=/openhab/conf
+ source=/openhab/dist/conf
++ ls -A /openhab/conf
+ '[' -z 'html
icons
items
misc
persistence
rules
scripts
services
sitemaps
sounds
things
transform' ']'
+ initialize_volume /openhab/userdata /openhab/dist/userdata
+ volume=/openhab/userdata
+ source=/openhab/dist/userdata
++ ls -A /openhab/userdata
+ '[' -z 'config
etc
logs
tmp' ']'
++ cmp /openhab/userdata/etc/version.properties /openhab/dist/userdata/etc/version.properties
+ '[' '!' -z ']'
+ chown -R openhab:openhab /openhab
+ sync
+ '[' -d /etc/cont-init.d ']'
+ sync
+ '[' false == false ']'
++ IFS=' '
++ echo gosu openhab tini -s ./start.sh
+ '[' 'gosu openhab tini -s ./start.sh' == 'gosu openhab tini -s ./start.sh' ']'
+ command=($@ server)
+ exec gosu openhab tini -s ./start.sh server
Launching the openHAB runtime...
org.apache.karaf.features.internal.util.MultiException: Error:
	Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)
	at org.apache.karaf.features.internal.download.impl.MavenDownloadManager$MavenDownloader.<init>(MavenDownloadManager.java:91)
	at org.apache.karaf.features.internal.download.impl.MavenDownloadManager.createDownloader(MavenDownloadManager.java:72)
	at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:457)
	at org.apache.karaf.features.internal.region.Subsystem.downloadBundles(Subsystem.java:452)
	at org.apache.karaf.features.internal.region.SubsystemResolver.resolve(SubsystemResolver.java:224)
	at org.apache.karaf.features.internal.service.Deployer.deploy(Deployer.java:393)
	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.doProvision(FeaturesServiceImpl.java:1062)
	at org.apache.karaf.features.internal.service.FeaturesServiceImpl.lambda$doProvisionInThread$13(FeaturesServiceImpl.java:998)
	at java.util.concurrent.FutureTask.run(FutureTask.java:266)
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149)
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624)
	at java.lang.Thread.run(Thread.java:748)
	Suppressed: java.io.IOException: Error downloading mvn:org.openhab.ui.bundles/org.openhab.ui.paper/[2.5.0,2.6)
		at org.apache.karaf.features.internal.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:77)
		at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511)
		at java.util.concurrent.FutureTask.run(FutureTask.java:266)
		at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$201(ScheduledThreadPoolExecutor.java:180)
		at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:293)
		... 3 more
	Caused by: java.io.IOException: Error resolving artifact org.openhab.ui.bundles:org.openhab.ui.paper:jar:[2.5.0,2.6): [Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in local (/openhab/userdata/tmp/mvn), Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in openhab (https://openhab.jfrog.io/openhab/libs-release/), Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in openhab (https://openhab.jfrog.io/openhab/libs-release/)]
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.configureIOException(AetherBasedResolver.java:803)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:780)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:657)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:598)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:565)
		at org.apache.karaf.features.internal.download.impl.MavenDownloadTask.download(MavenDownloadTask.java:52)
		at org.apache.karaf.features.internal.download.impl.AbstractRetryableDownloadTask.run(AbstractRetryableDownloadTask.java:60)
		... 7 more
		Suppressed: shaded.org.eclipse.aether.transfer.MetadataNotFoundException: Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in local (/openhab/userdata/tmp/mvn)
			at shaded.org.eclipse.aether.internal.impl.DefaultMetadataResolver.resolve(DefaultMetadataResolver.java:220)
			at shaded.org.eclipse.aether.internal.impl.DefaultMetadataResolver.resolveMetadata(DefaultMetadataResolver.java:178)
			at shaded.org.apache.maven.repository.internal.DefaultVersionRangeResolver.getVersions(DefaultVersionRangeResolver.java:198)
			at shaded.org.apache.maven.repository.internal.DefaultVersionRangeResolver.resolveVersionRange(DefaultVersionRangeResolver.java:148)
			at shaded.org.eclipse.aether.internal.impl.DefaultRepositorySystem.resolveVersionRange(DefaultRepositorySystem.java:232)
			at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolveLatestVersionRange(AetherBasedResolver.java:1060)
			at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:765)
			... 12 more
		Suppressed: shaded.org.eclipse.aether.transfer.MetadataNotFoundException: Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in openhab (https://openhab.jfrog.io/openhab/libs-release/)
			at shaded.org.eclipse.aether.connector.basic.MetadataTransportListener.transferFailed(MetadataTransportListener.java:48)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$TaskRunner.run(BasicRepositoryConnector.java:368)
			at shaded.org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:75)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$DirectExecutor.execute(BasicRepositoryConnector.java:642)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector.get(BasicRepositoryConnector.java:235)
			at shaded.org.eclipse.aether.internal.impl.DefaultMetadataResolver$ResolveTask.run(DefaultMetadataResolver.java:580)
			at shaded.org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:75)
			... 3 more
		Suppressed: shaded.org.eclipse.aether.transfer.MetadataNotFoundException: Could not find metadata org.openhab.ui.bundles:org.openhab.ui.paper/maven-metadata.xml in openhab (https://openhab.jfrog.io/openhab/libs-release/)
			at shaded.org.eclipse.aether.connector.basic.MetadataTransportListener.transferFailed(MetadataTransportListener.java:48)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$TaskRunner.run(BasicRepositoryConnector.java:368)
			at shaded.org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:75)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector$DirectExecutor.execute(BasicRepositoryConnector.java:642)
			at shaded.org.eclipse.aether.connector.basic.BasicRepositoryConnector.get(BasicRepositoryConnector.java:235)
			at shaded.org.eclipse.aether.internal.impl.DefaultMetadataResolver$ResolveTask.run(DefaultMetadataResolver.java:580)
			at shaded.org.eclipse.aether.util.concurrency.RunnableErrorForwarder$1.run(RunnableErrorForwarder.java:75)
			... 3 more
	Caused by: shaded.org.eclipse.aether.resolution.VersionRangeResolutionException: Error resolving artifact org.openhab.ui.bundles:org.openhab.ui.paper:jar:[2.5.0,2.6)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolveLatestVersionRange(AetherBasedResolver.java:1068)
		at org.ops4j.pax.url.mvn.internal.AetherBasedResolver.resolve(AetherBasedResolver.java:765)
		... 12 more```

Here too. But bintray does not report any issue… :grimacing:

See

and a large number of recent posts, like this one just today

Well, as far as I understood they intentionally shut down the service temporarily and plan to cease it completely. So from their point of view it is not a service degradation but expected behavior. Not sure what needs to be done, but the addons need to transition from bintray to another service.

So… what do we do now? I’m stuck with a none working OH2 server :frowning:

See here

1 Like